Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

List prospects

GET /api/mcp/prospects

List prospects with optional filtering by campaign, status, or ICP score.

Parameters

workspaceId
string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
campaignId
string
No description.
status
string
No description.
pending | connection_sent | connected | message_sent | replied | completed | failed
icpScoreMin
number
No description.
page
number
No description.
limit
number
No description.

Example

REST requestbash
curl -X GET "https://app.pipeline.help/api/mcp/prospects" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspace_id": {
"type": "string"
},
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"full_name": {
"type": "string"
},
"company_name": {
"type": "string"
},
"job_title": {
"type": "string"
},
"linkedin_url": {
"type": "string"
},
"status": {
"type": "string"
},
"icp_score": {
"type": "number"
}
}
}
},
"pagination": {
"type": "object",
"properties": {
"page": {
"type": "number"
},
"limit": {
"type": "number"
},
"total": {
"type": "number"
},
"hasMore": {
"type": "boolean"
}
}
}
},
"required": [
"data",
"pagination"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline